
Global $j
Global $filereadline
Global $fileopen
Global $theendbox

#include <File.au3>

#cs

This script is dead simple.  It reads one line at a time from a text file, and pastes that line into Idiom.  In Idiom, it basically goes "paste" and the "down" to the next line.  Obviously this only works empty strings.  You can make it overtype content by just pressing Ctrl+A before you paste, though.  There is, however, no way of telling or ensuring that the right stuff is pasted in the right lines, so... you should really watch it and kill the script when things start going wrong.  You can also do a test at the end by exporting all the pasted text and doing a diff with the translation.

#ce

#cs

Version 4 is an update to version 2. Version 5 is an update to version 3.  Version 4 blindly replaces whatever is in the target field with the line from the input file.  Version 5 compares the line from the input file with what is currently in the target field, and replaces it only if it is different (this means that the status of the segment doesn't get updated if the translation doesn't change).  Version 4 is faster, obviously.

#ce

HotKeySet ("{ESC}", "TheEnd")

While 1

MsgBox (0, "Idiot2Desktop version 4", "Idiot2Desktop  is a script that pastes lines of text from an input file into Idiom Desktop.  The input file is plaintext UTF8, with one segment per line.  Don't run this script while you're not looking at the screen -- check visually if it pastes the right stuff in the right place.  Remember, you can abort the script with 'Escape' and then undo your last changes using Ctrl+Z.  Version 4 replaces the current target text with the text from the input file, blindly.  Version 4 is faster, but it will cause all segments' status to get updated.", 0)

$fileopen = FileOpenDialog ("Select input file", "@ScriptDir", "All (*.*)|Text files (*.txt)")
FileOpen ($fileopen, 128)
$filecountlines = _FileCountLines ($fileopen)

MsgBox (0, "Click in Idiom!", "Ready?  Click with your mouse in the first line in Idiom... you have 5 seconds!", 5)

Sleep ("5000") ; so actually you have 10 seconds...

WinWaitActive ("Idiom WorldServer", "")

$j = 0

For $i = 1 to $filecountlines

WinWaitActive ("Idiom WorldServer", "")

$filereadline = FileReadLine ($fileopen, $i)
ClipPut ($filereadline)
Sleep ("100")
Send ("^a")
Sleep ("100")
Send ("^v")
Sleep ("100")
Send ("{DOWN}")
Sleep ("100")

$j = $j + 1

Next

MsgBox (0, "Done!", "Did " & $j & " segments", 10)
Exit

WEnd



Func TheEnd()

$theendbox = MsgBox (1, "Paused...", "Did " & $j & " segments so far." & @CRLF & @CRLF & "Do you wish to continue? Click 'OK' to continue, or click 'Cancel' to exit.", 0)

If $theendbox = 2 Then
Exit
EndIf

MsgBox (0, "Click in Idiom!", "Click with your mouse where you had paused... you have 5 seconds!", 5)

Sleep ("5000") ; so yes you have 10 seconds

EndFunc





